<?php

// Bot initialization
require 'vendor/autoload.php';

use Telegram\Bot\Api;

$API_KEY = '920943663:AAEF0Z34eIJD6UkYLx3ztP-Zon3W_K4vMvg';
$telegram = new Api($API_KEY);
$updates = $telegram->getWebhookUpdates();
$chat_id = $updates->getMessage()->getChat()->getId();
$text = $updates->getMessage()->getText();
$first_name = $updates->getMessage()->getChat()->getFirstName();
$last_name = $updates->getMessage()->getChat()->getLastName();
$username = $updates->getMessage()->getChat()->getUsername();
$nabChannel = '@sedaynab';
$keyboard = json_encode([
    'resize_keyboard' => true,
    'keyboard' => [
        [['text' => "تنظیم سوالات مربوط به خودت"]],
        [['text' => "دریافت لینک شخصی"]],
        
    ]
]);

$keyboard_link = json_encode([
    'resize_keyboard' => true,
    'keyboard' => [
        [['text' => "تنظیم سوالات مربوط به خودت"]],
        [['text' => "دریافت لینک شخصی"]],
    ]
]);

$keyboard_shuru = json_encode([
    'resize_keyboard' => true,
    'keyboard' => [
        [['text' => "شروع"]],
    ]
]);



$questions = [
    "معمولا وقتی حشری میشی چیکار میکنی؟",
    "اولین بار چه زمانی خود ارضایی کردی؟",
    "پوزیشن مورد علاقه ات چیه؟",
    "اولین بار چه زمانی سکس داشتی؟",
    "تا الان با چند نفر رابطه جنسی داشتی؟",
    "پورن استار مورد علاقه ات کیه؟",
    "اگه پسری چند سانته ؟ اگه دختری سایز ممت چنده؟",
    "نوک ممت چه رنگیه؟",
    "چی بیشتر از همه حشریت میکنه؟",
    "با چی میزنی؟",
];

$questions2 = [
    "معمولا وقتی حشری میشه چیکار میکنه؟",
    "اولین بار چه زمانی خود ارضایی کرده؟",
    "پوزیشن مورد علاقه اش چیه؟",
    "اولین بار چه زمانی سکس داشته؟",
    "تا الان با چند نفر رابطه جنسی داشته؟",
    "پورن استار مورد علاقه اش کیه؟",
    "اگه پسره چند سانته ؟ اگه دختره سایز ممش چنده؟",
    "نوک ممش چه رنگیه؟",
    "چی بیشتر از همه حشریش میکنه؟",
    "با چی میزنه؟",
];


// Database Connection

$servernameDB = "localhost";
$usernameDB = "biaradi1_hot";
$passwordDB = "SametPishr0";
$dbnameDB = "biaradi1_hot";
$connection = new mysqli($servernameDB, $usernameDB, $passwordDB, $dbnameDB);
mysqli_set_charset($connection,"utf8");

$my = "SELECT * FROM users WHERE chat_id = '$chat_id' LIMIT 1";
$my_ans_query = $connection->query($my);
$my_ans_row = $my_ans_query->fetch_assoc();
$my_ans = $my_ans_row["my_ans"];
$my_step = $my_ans_row["my_step"];
$to_ans = $my_ans_row["to_ans"];
$to_step = $my_ans_row["to_step"];
$to_user_name = $my_ans_row["to_user_name"];

$keyboard_natije = json_encode([
    'resize_keyboard' => true,
    'keyboard' => [
        [['text' => "مشاهده نتیجه بین شما و $to_user_name"]],
    ]
]);

function isJoined($chat_id)
{
    global $API_KEY;
    $sponsored_channel = json_decode(file_get_contents("https://api.telegram.org/bot$API_KEY/getChatMember?chat_id=@sedaynab&user_id=".$chat_id));
    $status = $sponsored_channel->result->status;
    return $status == 'member' ||
        $status == 'creator' ||
        $status == 'administrator';
}

function isStart($text){
    if (substr($text, 0, 6) == "/start") return true;
    else return false;
}

if (isStart($text)) {
    $update = "UPDATE users SET my_step='0',to_step='0' WHERE chat_id='$chat_id'";
    $connection->query($update);
    $telegram->sendChatAction([
        'chat_id' => $chat_id,
        'action' => 'typing'
    ]);
    // if /start 1234
    if (strlen($text) > 6 && substr($text, 7) != $chat_id) { // if has reference
            
        // check if reference exist
        
        /*
        $to_user_chat_id = substr($text, 7);
        $reference = "SELECT * FROM users WHERE chat_id = '$to_user_chat_id' LIMIT 1";
        $reference_query = $connection->query($reference);
        if ($reference_query->num_rows == 0) {
            
        
    
        $to_user_name = "SELECT name FROM users WHERE chat_id = '$to_user_chat_id' LIMIT 1";
        $to_user_name_query = $connection->query($to_user_name);
        
        if ($to_user_name_query->num_rows != 0) {
            $to_user_name_row = $to_user_name_query->fetch_assoc();
            $to_user_name = $to_user_name_row["name"];
        }
        else{
            $to_user_name = "nobody";
        }
        */
        
        $newUser = "SELECT * FROM users WHERE chat_id = '$chat_id' LIMIT 1";
        $newUser_query = $connection->query($newUser);
    
        if ($newUser_query->num_rows == 0) { // new user
            // add him too database
            $add_new_user = "INSERT INTO users (chat_id,name,to_user,to_user_name) VALUES ('$chat_id' , '$first_name' , 'nobody' , 'nobody')";
            $connection->query($add_new_user);
        }
        
        $to_user_chat_id = substr($text, 7);
        $reference = "SELECT * FROM users WHERE chat_id = '$to_user_chat_id' LIMIT 1";
        $reference_query = $connection->query($reference);
        
        
        if ($reference_query->num_rows == 0) {
            $update = "UPDATE users SET to_user='nobody',to_user_name='nobody' WHERE chat_id='$chat_id'";
            $connection->query($update);
            $telegram->sendMessage([
                'chat_id' => $chat_id,
                'text' => "چنین کاربری نداریم!",
            ]);
        }
        
        else{
            $to_user_name_row = $reference_query->fetch_assoc();
            $to_user_name = $to_user_name_row["name"];
            $update = "UPDATE users SET to_user='$to_user_chat_id',to_user_name='$to_user_name' WHERE chat_id='$chat_id'";
            $connection->query($update);
            
            $telegram->sendMessage([
                'chat_id' => $chat_id,
                'text' => "شما در حال پاسخگویی به سوالات $to_user_name هستید.برای شروع نظرسنجی از کیبورد زیر گزینه شروع را انتخاب کنید.",
                'reply_markup' => $keyboard_shuru
            ]);
        }
        
    }
    
    //if start e khali
    else{
        $newUser = "SELECT * FROM users WHERE chat_id = '$chat_id' LIMIT 1";
        $newUser_query = $connection->query($newUser);
    
        if ($newUser_query->num_rows == 0) { // new user
            // add him too database
            $add_new_user = "INSERT INTO users (chat_id,name,to_user,to_user_name) VALUES ('$chat_id' , '$first_name' , 'nobody' , 'nobody')";
            $connection->query($add_new_user);
        }
        
        
        $telegram->sendMessage([
            'chat_id' => $chat_id,
            'text' => "به ربات تفاهم سکسی خوش آمدی، گزینه مورد نظر رو از کیبورد زیر انتخاب کن.\nاگر اولین بار هست که وارد ربات میشی لطفا گزینه تنظیم سوالات مربوط به خودت رو انتخاب کن.",
            'reply_markup' => $keyboard
        ]);
    }
    

}



elseif($text == "دریافت لینک شخصی"){
    
    $telegram->sendPhoto([
        'chat_id' => $chat_id,
        'photo' => "http://umirror.in/wp-content/uploads/2015/10/male-female.jpg",
        'caption' => "سلام $first_name $last_name هستم 🙂

دوس دارم بدونم چقدر از نظر جنسی منو میشناسی😍

این ربات میگه من و تو چقدر از لحاظ سکسی همدیگرو شناختیم! 💦

زود باش بیا تا به نتایج جالبی برسیم😜👇🏻".PHP_EOL.PHP_EOL."http://t.me/HowHotRoBot?start=".$chat_id

,
    ]);

}


elseif( $text == "تنظیم سوالات مربوط به خودت"){
    $update = "UPDATE users SET my_step='1' , my_ans='' WHERE chat_id='$chat_id'";
    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال اول : \n".$questions[0],
    ]);
    
    
}
elseif($my_step == '1'){
    $update = "UPDATE users SET my_step='2' , my_ans='$text' WHERE chat_id='$chat_id'";
    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال دوم : \n".$questions[1],
    ]);
}

elseif($my_step == '2'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='3' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال سوم : \n".$questions[2],
    ]);
}

elseif($my_step == '3'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='4' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال چهارم : \n".$questions[3],
    ]);
}

elseif($my_step == '4'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='5' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال پنجم : \n".$questions[4],
    ]);
}

elseif($my_step == '5'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='6' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال ششم : \n".$questions[5],
    ]);
}

elseif($my_step == '6'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='7' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال هفتم : \n".$questions[6],
    ]);
}

elseif($my_step == '7'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='8' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال هشتم : \n".$questions[7],
    ]);
}

elseif($my_step == '8'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='9' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال نهم : \n".$questions[8],
    ]);
}

elseif($my_step == '9'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='10' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال دهم : \n".$questions[9],
    ]);
}

elseif($my_step == '10'){
    $answer = ",".$text;
    $update = "UPDATE users SET my_step='0' , my_ans=concat(my_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
            'chat_id' => $chat_id,
            'text' => "به همه سوالات پاسخ دادی.\nاز کیبورد زیر گزینه مورد نظرت رو انتخاب کن.\nمیتونی با زدن گزینه دریافت لینک شخصی ، بقیه دوستات رو هم دعوت کنی و به چالش بکشی!",
            'reply_markup' => $keyboard_link
        ]);
}


/// TO ANSWER
elseif($text == "شروع"){
    $update = "UPDATE users SET to_step='1' , to_ans='' WHERE chat_id='$chat_id'";
    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال اول : \nاز $to_user_name پرسیدیم (".$questions2[0].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '1'){
    $update = "UPDATE users SET to_step='2' , to_ans='$text' WHERE chat_id='$chat_id'";
    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال دوم : \nاز $to_user_name پرسیدیم (".$questions2[1].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '2'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='3' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال سوم : \nاز $to_user_name پرسیدیم (".$questions2[2].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '3'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='4' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال چهارم : \nاز $to_user_name پرسیدیم (".$questions2[3].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '4'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='5' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال پنجم : \nاز $to_user_name پرسیدیم (".$questions2[4].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '5'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='6' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال ششم : \nاز $to_user_name پرسیدیم (".$questions2[5].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '6'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='7' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال هفتم : \nاز $to_user_name پرسیدیم (".$questions2[6].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '7'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='8' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال هشتم : \nاز $to_user_name پرسیدیم (".$questions2[7].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}


elseif($to_step == '8'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='9' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال نهم : \nاز $to_user_name پرسیدیم (".$questions2[8].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '9'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='10' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "سوال دهم : \nاز $to_user_name پرسیدیم (".$questions2[9].")\nبه نظرت چی جواب داده؟\nجواب مورد نظرت رو بنویس👇🏻",
    ]);
}

elseif($to_step == '10'){
    $answer = ",".$text;
    $update = "UPDATE users SET to_step='0' , to_ans=concat(to_ans,'$answer') WHERE chat_id='$chat_id'";

    $connection->query($update);
    
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "مشاهده نتیجه رو انتخاب کن!",
        'reply_markup' => $keyboard_natije
    ]);
}

/////
elseif($text == "/my_ans"){
    $collected = "SELECT my_ans from users WHERE chat_id = '$chat_id'";
    $collected_query = $connection->query($collected);
    $collected_row = $collected_query->fetch_assoc();
    $collected = $collected_row["my_ans"];
    $temp = explode(',',$collected);
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => $temp[0],
    ]);
}

elseif($text == "مشاهده نتیجه بین شما و $to_user_name"){
    $collected = "SELECT to_ans,to_user from users WHERE chat_id = '$chat_id'";
    $collected_query = $connection->query($collected);
    $collected_row = $collected_query->fetch_assoc();
    $collected = $collected_row["to_ans"];
    $to_ans = explode(',',$collected); // javaboy adame jaddide
    $to_user = $collected_row["to_user"];
    
    $collected = "SELECT name,my_ans from users WHERE chat_id = '$to_user'";
    $collected_query = $connection->query($collected);
    $collected_row = $collected_query->fetch_assoc();
    $collected = $collected_row["my_ans"];
    $name_moarref = $collected_row["name"];
    $my_ans = explode(',',$collected); // javaboy adame moarref
    
    $i = 0;
    $output = '';
    for($i = 0 ; $i<10 ; $i++){
        $j = $i + 1;
        $output .= "سوال $j : $questions[$i]".PHP_EOL."جواب شما : ".$to_ans[$i].PHP_EOL."جواب $name_moarref این بود : ".$my_ans[$i].PHP_EOL."_____".PHP_EOL;
    }
    
    $i = 0;
    $output2 = '';
    for($i = 0 ; $i<10 ; $i++){
        $j = $i + 1;
        $output2 .= "سوال $j : $questions[$i]".PHP_EOL."جواب $first_name این بود : ".$to_ans[$i].PHP_EOL."جواب تواین بود : ".$my_ans[$i].PHP_EOL."_____".PHP_EOL;
    }
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => $output,
        'reply_markup' => $keyboard_link
    ]);
    
    $telegram->sendMessage([
        'chat_id' => $to_user,
        'text' => $output2,
        'reply_markup' => $keyboard_link
    ]);
}


else{
    $telegram->sendMessage([
        'chat_id' => $chat_id,
        'text' => "نمیفهمم چی میگی، از کیبورد زیر یه چیزی انتخاب کن!",
        'reply_markup' => $keyboard_link
    ]);
}

$connection->close();